I'm getting this error message when activating the Contact Form plugin

I've been told Notices can be ignored but these messages become confusing when I'm trying to troubleshoot other problems using DEBUG:

[30-Jan-2015 02:22:42 UTC] PHP Notice: wp_enqueue_script was called incorrectly. Scripts and styles should not be registered or enqueued until the wp_enqueue_scripts, admin_enqueue_scripts, or login_enqueue_scripts hooks. Please see Debugging in WordPress for more information. (This message was added in version 3.3.) in /home/oceandig/public_html/wp-includes/functions.php on line 3547

  • Tyler Postle

    Hey ocean,

    Hope you're doing well today and thanks for letting us know!

    I've confirmed on my own install that the notice does only come up when Contact Widget is activated. As you mentioned, it can be safely ignored and won't affect your sites user experience at all; however, all warnings/notices we find and/or get reported to us we pass on to our developers so they can get them fixed up in the next update :slight_smile: so I'm passing this on, thanks!

    Let us know if you have any further questions.

    All the best,
    Tyler

  • aristath

    Hello again @Ocean Digital Corp, I hope you're well today!

    Do you have a temporary fix so I can continue debugging my sites?

    I'm afraid not, you'll simply have to wait a few days for an updated version. :slight_smile:

    I noticed this plugin hasn't been updated since 2013, it could be awhile waiting for the official fix.

    Updates are released when they are needed. This issue has not been reported before and the plugin seems to working fine, this is why there has not been an update since then.

    Cheers,
    Ari.